> For the complete documentation index, see [llms.txt](https://docs.vechain.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vechain.org/developer-resources/sdks-and-providers/dapp-kit/dapp-kit-1/v0-to-v1.md).

# V0 to V1

### Overview

We changed how we handle the modal, rendering it as a separate component instead of rendering it right below the button.

Because of that, we decided to pass all the configurations to the DappKitUI.configure function instead of passing them to the components.

We cleaned and simplified the naming conventions.

### React

we changed the component name

`ConnectButtonWithModal` -> `WalletButton`

### Vanilla

we changed the component name

`vwk-vechain-dapp-connect-kit` -> `vdk-button`

### Configuration

these are the added configurations for the DappKitUI.configure function:

```typescript
// OPTIONAL: theme variables (check theme variables section)
themeVariables={ThemeVariables}
// OPTIONAL: app current language
language="en";
// OPTIONAL: i18n default object (check i18n section)
i18n={defaultI18n}
// OPTIONAL: where to render the modal, document.body is the default
modalParent={document.body}
// OPTIONAL: handle source click to customise wallet connect
onSourceClick={source => void}
```

CSS variables configuration is now removed and replaced by the above [themeVariables](/developer-resources/sdks-and-providers/dapp-kit/dapp-kit-1/theme.md) object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vechain.org/developer-resources/sdks-and-providers/dapp-kit/dapp-kit-1/v0-to-v1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
